Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1388463 - FTBFS with OpenSSL 1.1.0
Summary: FTBFS with OpenSSL 1.1.0
Keywords:
Status: CLOSED DUPLICATE of bug 1424094
Alias: None
Product: Fedora
Classification: Fedora
Component: pkcs11-helper
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1383740
TreeView+ depends on / blocked
 
Reported: 2016-10-25 12:23 UTC by Daiki Ueno
Modified: 2017-04-24 14:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-24 14:45:07 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
build log (deleted)
2016-10-25 12:23 UTC, Daiki Ueno
no flags Details
proposed patch (deleted)
2016-10-25 12:24 UTC, Daiki Ueno
no flags Details | Diff
proposed patch v2 (deleted)
2016-10-26 09:18 UTC, Daiki Ueno
no flags Details | Diff

Description Daiki Ueno 2016-10-25 12:23:09 UTC
Created attachment 1213894 [details]
build log

Building pkcs11-helper-1.11-8 in rawhide fails because of OpenSSL 1.1.0 API changes.  I am attaching the build log and a proposed patch to fix it.

Comment 1 Daiki Ueno 2016-10-25 12:24:40 UTC
Created attachment 1213895 [details]
proposed patch

Also filed at https://github.com/OpenSC/pkcs11-helper/pull/7

Comment 2 Daiki Ueno 2016-10-26 09:18:20 UTC
Created attachment 1214228 [details]
proposed patch v2

Update the patch so not to leak BIGNUM's if there is any failure after allocation.

Comment 3 Fedora End Of Life 2017-02-28 10:30:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Rex Dieter 2017-04-24 14:45:07 UTC

*** This bug has been marked as a duplicate of bug 1424094 ***


Note You need to log in before you can comment on or make changes to this bug.